//
//  NotificationViewController.m
//  contentExtension
//
//  Created by Gerard Allan on 04/03/2021.
//

#import "NotificationViewController.h"
#import <UserNotifications/UserNotifications.h>
#import <UserNotificationsUI/UserNotificationsUI.h>
#import <Appear2mee/Appear2mee.h>
#import "../Appear2meeConstants.h"

@interface NotificationViewController () <UNNotificationContentExtension>
@property (weak, nonatomic) IBOutlet Appear2meeContentView *contentView;
@end

@implementation NotificationViewController

- (void)viewDidLoad {
  [super viewDidLoad];
  // Do any required interface initialization here.
}

- (void)didReceiveNotification:(nonnull UNNotification *)notification {
  [_contentView displayNotification:notification notificationController:self usingAppGroup:APPGROUP];
}

- (void)didReceiveNotificationResponse:(UNNotificationResponse *)response completionHandler:(void (^)(UNNotificationContentExtensionResponseOption))completion {
  [_contentView didReceiveNotificationResponse:response completionHandler: completion];
}

@end
